import {
  geoIdentity,
  geoPath,
  geoConicConformal,
  geoOrthographic,
  geoAlbersUsa,
  geoAlbers,
  geoNaturalEarth1
} from 'd3';



const projection = geoAlbersUsa();



const path = geoPath(projection);

export const Marks = ({ USGeo, data, radius = 1.7, colorScale, groupAttribute, width=960, height=500, margin }) => {
  projection.fitExtent([[0+margin.left,0+margin.top],[width-margin.right,height-margin.bottom]], USGeo);

  return (
   
    <g className="marks">
      {USGeo.features.map(feature => (
        <path d={path(feature)} />
      ))}
      { data.map(d => { 
        
        if (d.longitude!==0) {
        	const [x, y] = projection([d.longitude, d.latitude]);
					return( 
            <circle 
              className="points" 
              cx={x} cy={y} 
              r={radius} 
              fill={colorScale(d[groupAttribute])}
            />)
        }
        return;
      })}
    </g>
  );
};
