import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/Jogging97/6382acd43de16bccfe0cabe1c515c856/raw/0a33d03bb6fbe7eef1da533325bc03eff4def494/gistfile1.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d["age"] = +d["age"];
      if(d.age == 0) {
      	d.age = -1;  
      }
      if(d.gender == "") {
      	d.gender = "Unknown"; 
      }
      if(d.flee == "") {
      	d.flee = "Unknown"; 
      }
      if(d.armed == "") {
      	d.armed = "Unknown"; 
      }
      switch(d.race) {
        case "":
          d.race = "Unknown";
          break;
        case "A":
          d.race = "Asian";
          break;
        case "W":
          d.race = "White";
          break;
        case "H":
          d.race = "Hispanic";
          break;
        case "B":
          d.race = "Black";
          break;
        case "O":
          d.race = "Other";
          break;
        case "N":
          d.race = "Native American";
          break;
      }
      d["latitude"] = +d["latitude"];
      d["longitude"] = +d["longitude"];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  

  return data;
};